/*
 * Copyright 2010 Trustees of the University of Pennsylvania Licensed under the
 * Educational Community License, Version 2.0 (the "License"); you may
 * not use this file except in compliance with the License. You may
 * obtain a copy of the License at
 *
 * http://www.osedu.org/licenses/ECL-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS"
 * BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express
 * or implied. See the License for the specific language governing
 * permissions and limitations under the License.
 */
package metridoc.plugin.ezproxy

import metridoc.utils.Assert

/**
 * Created by IntelliJ IDEA.
 * User: tbarker
 * Date: 7/10/11
 * Time: 9:02 PM
 */
class EzproxyPlugin {
    void loadEzproxySchema(LinkedHashMap args) {
        Assert.notNull args.dataSource, "A dataSource must be provided to ${EzproxyPlugin.name}.loadSchema with parameter 'dataSource"
        Assert.notNull args.schema, "A schema must be provided to ${EzproxyPlugin.name}.loadSchema with parameter 'schema"
        liquibase(schema: EzproxySchema.class, dataSource:args.dataSource)
    }

    void runEzproxyWorkflow(LinkedHashMap args) {
        loadEzproxySchema(args)
    }

    void validateEzproxyData(Map data) {

    }

    void runEzproxyLoadingJob(Closure job) {
        job()
    }
}
